function onBegin()
 	
	
	 if getFlag("OSHIRO") then
    return
  end
  	setFlag("OSHIRO", true)
  	disableMovement()
	player.ForceCameraUpdate = true; 
	say("OSHIROISPRESENT")
	enableMovement()
end


